<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-keyboard-shortcuts.qdoc -->
  <title>Keyboard Shortcuts | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Keyboard Shortcuts</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-cli.html" />
  <link rel="next" href="creator-editor-external.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-cli.html">Using Command Line Options</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-external.html">Using External Tools</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#configuring-keyboard-shortcuts">Configuring Keyboard Shortcuts</a></li>
<li class="level1"><a href="#default-keyboard-shortcuts">Default Keyboard Shortcuts</a></li>
<li class="level2"><a href="#general-keyboard-shortcuts">General Keyboard Shortcuts</a></li>
<li class="level2"><a href="#editing-keyboard-shortcuts">Editing Keyboard Shortcuts</a></li>
<li class="level2"><a href="#image-viewer-shortcuts">Image Viewer Shortcuts</a></li>
<li class="level2"><a href="#design-mode-keyboard-shortcuts">Design Mode Keyboard Shortcuts</a></li>
<li class="level2"><a href="#debugging-keyboard-shortcuts">Debugging Keyboard Shortcuts</a></li>
<li class="level2"><a href="#project-keyboard-shortcuts">Project Keyboard Shortcuts</a></li>
<li class="level2"><a href="#help-keyboard-shortcuts">Help Keyboard Shortcuts</a></li>
<li class="level2"><a href="#version-control-keyboard-shortcuts">Version Control Keyboard Shortcuts</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Keyboard Shortcuts</h1>
<span class="subtitle"></span>
<!-- $$$creator-keyboard-shortcuts.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator provides various keyboard shortcuts to speed up your development process. In addition, you can specify your own keyboard shortcuts for some functions that can be easily performed with a mouse, and therefore do not appear in menus or have default keyboard shortcuts. For example, selecting and deleting words or lines in an editor.</p>
<p>To view all functions available in Qt Creator and the keyboard shortcuts defined for them, select <b>Tools &gt; Options &gt; Environment &gt; Keyboard</b>. The shortcuts are listed by category. To find a keyboard shortcut in the list, enter a function name or shortcut in the <b>Filter</b> field.</p>
<p class="centerAlign"><img src="images/qtcreator-keyboard-shortcuts.png" alt="" /></p><p>The shortcuts that are displayed in red color are associated with several functions. Qt Creator executes the function that is available in the current context. If several functions are available for the same shortcut at a time, there is a conflict and Qt Creator cannot execute any function.</p>
<p>A keyboard shortcut might also conflict with a shortcut that a Window manager uses for its own purposes. In that case, Qt Creator shortcuts do not work. Typically, you can configure the shortcuts in the window manager, but if that is not allowed, you can change the Qt Creator shortcuts. For example, Unity on Ubuntu 11.10 uses <b>F10</b> in its window manager, and therefore the default Qt Creator keyboard shortcut <b>F10</b> (Step Over) does not work on that system.</p>
<p>To override the platform default value that determines whether keyboard shortcuts are shown in the labels of context menu items, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Environment</b> &gt; <b>Interface</b>. The label of the <b>Show keyboard shortcuts in context menus</b> check box indicates whether the platform default value is <code>on</code> or <code>off</code>.</p>
<p class="centerAlign"><img src="images/qtcreator-options-environment-interface.png" alt="&quot;Interface tab in the Environment options&quot;" /></p><a name="configuring-keyboard-shortcuts"></a>
<h2 id="configuring-keyboard-shortcuts">Configuring Keyboard Shortcuts</h2>
<p>To customize a keyboard shortcut:</p>
<ol class="1" type="1"><li>Select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Environment</b> &gt; <b>Keyboard</b>.</li>
<li>Select a command from the list.</li>
<li>In the <b>Key Sequence</b> field, you have the following options:<ul>
<li>Enter the shortcut key you want to associate with the selected command.</li>
<li>Select <b>Record</b>, press the keys to use as the keyboard shortcut, and select <b>Stop Recording</b> when you are done.</li>
</ul>
</li>
<li>To revert to the default shortcut, select <b>Reset</b>.</li>
</ol>
<p>Qt Creator allows you to use different keyboard shortcut mapping schemes:</p>
<ul>
<li>To import a keyboard shortcut mapping scheme, click <b>Import</b> and select the .kms file containing the keyboard shortcut mapping scheme you want to import.</li>
<li>To export the current keyboard shortcut mapping scheme, click <b>Export</b> and select the location where you want to save the exported .kms file.</li>
</ul>
<a name="default-keyboard-shortcuts"></a>
<h2 id="default-keyboard-shortcuts">Default Keyboard Shortcuts</h2>
<p>The following tables list the default keyboard shortcuts. They are categorized by actions.</p>
<a name="general-keyboard-shortcuts"></a>
<h3 id="general-keyboard-shortcuts">General Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Open file or project</td><td >Ctrl+O</td></tr>
<tr valign="top" class="even"><td >New file or project</td><td >Ctrl+N</td></tr>
<tr valign="top" class="odd"><td >Open in external editor</td><td >Alt+V, Alt+I</td></tr>
<tr valign="top" class="even"><td >Select all</td><td >Ctrl+A</td></tr>
<tr valign="top" class="odd"><td >Delete</td><td >Del</td></tr>
<tr valign="top" class="even"><td >Cut</td><td >Ctrl+X</td></tr>
<tr valign="top" class="odd"><td >Copy</td><td >Ctrl+C</td></tr>
<tr valign="top" class="even"><td >Paste</td><td >Ctrl+V</td></tr>
<tr valign="top" class="odd"><td >Redo</td><td >Ctrl+Y</td></tr>
<tr valign="top" class="even"><td >Print</td><td >Ctrl+P</td></tr>
<tr valign="top" class="odd"><td >Save</td><td >Ctrl+S</td></tr>
<tr valign="top" class="even"><td >Save all</td><td >Ctrl+Shift+S</td></tr>
<tr valign="top" class="odd"><td >Close window</td><td >Ctrl+W</td></tr>
<tr valign="top" class="even"><td >Close all</td><td >Ctrl+Shift+W</td></tr>
<tr valign="top" class="odd"><td >Close current file</td><td >Ctrl+F4</td></tr>
<tr valign="top" class="even"><td >Go back</td><td >Alt+Left</td></tr>
<tr valign="top" class="odd"><td >Go forward</td><td >Alt+Right</td></tr>
<tr valign="top" class="even"><td >Go to line</td><td >Ctrl+L</td></tr>
<tr valign="top" class="odd"><td >Next open document in history</td><td >Ctrl+Shift+Tab</td></tr>
<tr valign="top" class="even"><td >Go to other split</td><td >Ctrl+E, O</td></tr>
<tr valign="top" class="odd"><td >Previous open document in history</td><td >Ctrl+Tab</td></tr>
<tr valign="top" class="even"><td >Activate <b>Locator</b></td><td >Ctrl+K</td></tr>
<tr valign="top" class="odd"><td >Switch to <b>Welcome</b> mode</td><td >Ctrl+1</td></tr>
<tr valign="top" class="even"><td >Switch to <b>Edit</b> mode</td><td >Ctrl+2</td></tr>
<tr valign="top" class="odd"><td >Switch to <b>Design</b> mode</td><td >Ctrl+3</td></tr>
<tr valign="top" class="even"><td >Switch to <b>Debug</b> mode</td><td >Ctrl+4</td></tr>
<tr valign="top" class="odd"><td >Switch to <b>Projects</b> mode</td><td >Ctrl+5</td></tr>
<tr valign="top" class="even"><td >Switch to <b>Help</b> mode</td><td >Ctrl+6</td></tr>
<tr valign="top" class="odd"><td >Toggle <b>Issues</b> pane</td><td >Alt+1 (Cmd+1 on <a href="nolink">macOS</a>)</td></tr>
<tr valign="top" class="even"><td >Toggle <b>Search Results</b> pane</td><td >Alt+2 (Cmd+2 on <a href="nolink">macOS</a>)</td></tr>
<tr valign="top" class="odd"><td >Toggle <b>Application Output</b> pane</td><td >Alt+3 (Cmd+3 on <a href="nolink">macOS</a>)</td></tr>
<tr valign="top" class="even"><td >Toggle <b>Compile Output</b> pane</td><td >Alt+4 (Cmd+4 on <a href="nolink">macOS</a>)</td></tr>
<tr valign="top" class="odd"><td >Toggle other output panes</td><td >Alt+number (Cmd+number on <a href="nolink">macOS</a>)<p>Where the number is the number of the output pane.</p>
</td></tr>
<tr valign="top" class="even"><td >Activate <b>Bookmarks</b> pane</td><td >Alt+M</td></tr>
<tr valign="top" class="odd"><td >Activate <b>File System</b> pane</td><td >Alt+Y</td></tr>
<tr valign="top" class="even"><td >Activate <b>Open Documents</b> pane</td><td >Alt+O</td></tr>
<tr valign="top" class="odd"><td >Maximize output panes</td><td >Alt+9</td></tr>
<tr valign="top" class="even"><td >Move to next item in output panes</td><td >F6</td></tr>
<tr valign="top" class="odd"><td >Move to previous item in output panes</td><td >Shift+F6</td></tr>
<tr valign="top" class="even"><td >Activate <b>Projects</b> pane</td><td >Alt+X</td></tr>
<tr valign="top" class="odd"><td >Full screen</td><td >Ctrl+Shift+F11</td></tr>
<tr valign="top" class="even"><td >Toggle the sidebar</td><td >Alt+0 (Cmd+0 on <a href="nolink">macOS</a>)</td></tr>
<tr valign="top" class="odd"><td >Undo</td><td >Ctrl+Z</td></tr>
<tr valign="top" class="even"><td >Move to <b>Edit</b> mode<p>In <b>Edit</b> mode:</p>
<ul>
<li>The first press moves focus to the editor</li>
<li>The second press closes secondary windows</li>
</ul>
</td><td >Esc</td></tr>
<tr valign="top" class="odd"><td >Exit Qt Creator</td><td >Ctrl+Q</td></tr>
</table></div>
<a name="editing-keyboard-shortcuts"></a>
<h3 id="editing-keyboard-shortcuts">Editing Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Auto-indent selection</td><td >Ctrl+I</td></tr>
<tr valign="top" class="even"><td >Collapse</td><td >Ctrl+&lt;</td></tr>
<tr valign="top" class="odd"><td >Expand</td><td >Ctrl+&gt;</td></tr>
<tr valign="top" class="even"><td >Trigger a completion in this scope</td><td >Ctrl+Space</td></tr>
<tr valign="top" class="odd"><td >Copy line</td><td >Ctrl+Ins</td></tr>
<tr valign="top" class="even"><td >Copy line down</td><td >Ctrl+Alt+Down</td></tr>
<tr valign="top" class="odd"><td >Copy line up</td><td >Ctrl+Alt+Up</td></tr>
<tr valign="top" class="even"><td >Paste from the clipboard history</td><td >Ctrl+Shift+V<p>Subsequent presses move you back in the history</p>
</td></tr>
<tr valign="top" class="odd"><td >Cut line</td><td >Shift+Del</td></tr>
<tr valign="top" class="even"><td >Join lines</td><td >Ctrl+J</td></tr>
<tr valign="top" class="odd"><td >Insert line above current line</td><td >Ctrl+Shift+Enter</td></tr>
<tr valign="top" class="even"><td >Insert line below current line</td><td >Ctrl+Enter</td></tr>
<tr valign="top" class="odd"><td >Decrease font size</td><td >Ctrl+- (Ctrl+Roll mouse wheel down)</td></tr>
<tr valign="top" class="even"><td >Increase font size</td><td >Ctrl++ (Ctrl+Roll mouse wheel up)</td></tr>
<tr valign="top" class="odd"><td >Reset font size</td><td >Ctrl+0</td></tr>
<tr valign="top" class="even"><td >Toggle Vim-style editing</td><td >Alt+V, Alt+V</td></tr>
<tr valign="top" class="odd"><td >Split</td><td >Ctrl+E, 2</td></tr>
<tr valign="top" class="even"><td >Split side by side</td><td >Ctrl+E, 3</td></tr>
<tr valign="top" class="odd"><td >Remove all splits</td><td >Ctrl+E, 1</td></tr>
<tr valign="top" class="even"><td >Remove current split</td><td >Ctrl+E, 0</td></tr>
<tr valign="top" class="odd"><td >Select all</td><td >Ctrl+A</td></tr>
<tr valign="top" class="even"><td >Go to block end</td><td >Ctrl+]</td></tr>
<tr valign="top" class="odd"><td >Go to block start</td><td >Ctrl+[</td></tr>
<tr valign="top" class="even"><td >Go to block end and select the lines between the current cursor position and the end of the block</td><td >Ctrl+Shift+]</td></tr>
<tr valign="top" class="odd"><td >Go to block start and select the lines between the current cursor position and the beginning of the block</td><td >Ctrl+Shift+[</td></tr>
<tr valign="top" class="even"><td >Select the current block<p>The second press extends the selection to the parent block. To enable this behavior, select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Text Editor</b> &gt; <b>Behavior</b> &gt; <b>Enable smart selection changing</b>.</p>
</td><td >Ctrl+U</td></tr>
<tr valign="top" class="odd"><td >Undo the latest smart block selection</td><td >Ctrl+Alt+Shift+U</td></tr>
<tr valign="top" class="even"><td >Move current line down</td><td >Ctrl+Shift+Down</td></tr>
<tr valign="top" class="odd"><td >Move current line up</td><td >Ctrl+Shift+Up</td></tr>
<tr valign="top" class="even"><td >Trigger a refactoring action in this scope</td><td >Alt+Enter</td></tr>
<tr valign="top" class="odd"><td >Rewrap paragraph</td><td >Ctrl+E, R</td></tr>
<tr valign="top" class="even"><td >Enable text wrapping</td><td >Ctrl+E, Ctrl+W</td></tr>
<tr valign="top" class="odd"><td >Toggle comment for selection</td><td >Ctrl+/</td></tr>
<tr valign="top" class="even"><td >Visualize whitespace</td><td >Ctrl+E, Ctrl+V</td></tr>
<tr valign="top" class="odd"><td >Adjust size</td><td >Ctrl+J</td></tr>
<tr valign="top" class="even"><td >Lay out in a grid</td><td >Ctrl+G</td></tr>
<tr valign="top" class="odd"><td >Lay out horizontally</td><td >Ctrl+H</td></tr>
<tr valign="top" class="even"><td >Lay out vertically</td><td >Ctrl+L</td></tr>
<tr valign="top" class="odd"><td >Preview</td><td >Alt+Shift+R</td></tr>
<tr valign="top" class="even"><td >Edit signals and slots</td><td >F4</td></tr>
<tr valign="top" class="odd"><td >Toggle bookmark</td><td >Ctrl+M</td></tr>
<tr valign="top" class="even"><td >Go to next bookmark</td><td >Ctrl+.</td></tr>
<tr valign="top" class="odd"><td >Go to previous bookmark</td><td >Ctrl+,</td></tr>
<tr valign="top" class="even"><td >Fetch snippet</td><td >Alt+C, Alt+F</td></tr>
<tr valign="top" class="odd"><td >Paste snippet</td><td >Alt+C, Alt+P</td></tr>
<tr valign="top" class="even"><td >Find references to symbol under cursor</td><td >Ctrl+Shift+U</td></tr>
<tr valign="top" class="odd"><td >Follow symbol under cursor<p>Works with namespaces, classes, functions, variables, include statements and macros</p>
</td><td >F2</td></tr>
<tr valign="top" class="even"><td >Rename symbol under cursor</td><td >Ctrl+Shift+R</td></tr>
<tr valign="top" class="odd"><td >Switch between function declaration and definition</td><td >Shift+F2</td></tr>
<tr valign="top" class="even"><td >Open type hierarchy</td><td >Ctrl+Shift+T</td></tr>
<tr valign="top" class="odd"><td >Switch between header and source file</td><td >F4</td></tr>
<tr valign="top" class="even"><td >Turn selected text into lowercase</td><td >Alt+U</td></tr>
<tr valign="top" class="odd"><td >Turn selected text into uppercase</td><td >Alt+Shift+U</td></tr>
<tr valign="top" class="even"><td >Run static checks on JavaScript code to find common problems</td><td >Ctrl+Shift+C</td></tr>
<tr valign="top" class="odd"><td >Find and replace</td><td >Ctrl+F</td></tr>
<tr valign="top" class="even"><td >Find next</td><td >F3</td></tr>
<tr valign="top" class="odd"><td >Find previous</td><td >Shift+F3</td></tr>
<tr valign="top" class="even"><td >Find next occurrence of selected text</td><td >Ctrl+F3</td></tr>
<tr valign="top" class="odd"><td >Find previous occurrence of selected text</td><td >Ctrl+Shift+F3</td></tr>
<tr valign="top" class="even"><td >Replace next</td><td >Ctrl+=</td></tr>
<tr valign="top" class="odd"><td >Open advanced find</td><td >Ctrl+Shift+F</td></tr>
<tr valign="top" class="even"><td >Record a text-editing macro</td><td >Alt+(</td></tr>
<tr valign="top" class="odd"><td >Stop recording a macro</td><td >Alt+)</td></tr>
<tr valign="top" class="even"><td >Play last macro</td><td >Alt+R</td></tr>
<tr valign="top" class="odd"><td >Show Qt Quick toolbars</td><td >Ctrl+Alt+Space</td></tr>
<tr valign="top" class="even"><td >Execute user actions in FakeVim mode</td><td >Alt+V, n, where n is the number of the user action, from 1 to 9</td></tr>
</table></div>
<a name="emacs-shortcuts"></a>
<h4 id="emacs-shortcuts">Emacs Shortcuts</h4>
<p>You can specify shortcuts for executing actions in a way that is familiar to <a href="https://www.gnu.org/software/emacs/manual/html_node/emacs/index.html">Emacs</a> editor users. The actions are not bound to any key combinations by default. The following actions are available:</p>
<ul>
<li>Copy</li>
<li>Cut</li>
<li>Delete Character</li>
<li>Exchange Cursor and Mark</li>
<li>Go to File End</li>
<li>Go to File Start</li>
<li>Go to Line End</li>
<li>Go to Line Start</li>
<li>Go to Next Character</li>
<li>Go to Next Line</li>
<li>Go to Next Word</li>
<li>Go to Previous Character</li>
<li>Go to Previous Line</li>
<li>Go to Previous Word</li>
<li>Insert Line and Indent</li>
<li>Kill Line</li>
<li>Kill Word</li>
<li>Mark</li>
<li>Scroll Half Screen Down</li>
<li>Scroll Half Screen Up</li>
<li>Yank</li>
</ul>
<a name="image-viewer-shortcuts"></a>
<h3 id="image-viewer-shortcuts">Image Viewer Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Switch to background</td><td >Ctrl+[</td></tr>
<tr valign="top" class="even"><td >Switch to outline</td><td >Ctrl+]</td></tr>
<tr valign="top" class="odd"><td >Zoom in</td><td >Ctrl++</td></tr>
<tr valign="top" class="even"><td >Zoom out</td><td >Ctrl+-</td></tr>
<tr valign="top" class="odd"><td >Fit to screen</td><td >Ctrl+=</td></tr>
<tr valign="top" class="even"><td >Original size</td><td >Ctrl+0</td></tr>
</table></div>
<a name="design-mode-keyboard-shortcuts"></a>
<h3 id="design-mode-keyboard-shortcuts">Design Mode Keyboard Shortcuts</h3>
<p>You can use the following keyboard shortcuts when editing QML files in the Design mode.</p>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Open the QML file that defines the selected component</td><td >F2</td></tr>
<tr valign="top" class="even"><td >Move between <b>Text Editor</b> and <b>Form Editor</b></td><td >F4</td></tr>
<tr valign="top" class="odd"><td >Toggle left sidebar</td><td >Ctrl+Alt+0</td></tr>
<tr valign="top" class="even"><td >Toggle right sidebar</td><td >Ctrl+Alt+Shift+0</td></tr>
</table></div>
<a name="debugging-keyboard-shortcuts"></a>
<h3 id="debugging-keyboard-shortcuts">Debugging Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Start or continue debugging</td><td >F5</td></tr>
<tr valign="top" class="even"><td >Exit debugger</td><td >Shift+F5</td></tr>
<tr valign="top" class="odd"><td >Step over</td><td >F10</td></tr>
<tr valign="top" class="even"><td >Step into</td><td >F11</td></tr>
<tr valign="top" class="odd"><td >Step out</td><td >Shift+F11</td></tr>
<tr valign="top" class="even"><td >Toggle breakpoint</td><td >F9</td></tr>
<tr valign="top" class="odd"><td >Run to selected function</td><td >Ctrl+F6</td></tr>
<tr valign="top" class="even"><td >Run to line</td><td >Ctrl+F10</td></tr>
<tr valign="top" class="odd"><td >Reverse direction</td><td >F12</td></tr>
</table></div>
<a name="project-keyboard-shortcuts"></a>
<h3 id="project-keyboard-shortcuts">Project Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >Build project</td><td >Ctrl+B</td></tr>
<tr valign="top" class="even"><td >Build all</td><td >Ctrl+Shift+B</td></tr>
<tr valign="top" class="odd"><td >New project</td><td >Ctrl+Shift+N</td></tr>
<tr valign="top" class="even"><td >Open project</td><td >Ctrl+Shift+O</td></tr>
<tr valign="top" class="odd"><td >Select the <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a> to build and run your project with</td><td >Ctrl+T</td></tr>
<tr valign="top" class="even"><td >Run</td><td >Ctrl+R</td></tr>
</table></div>
<a name="help-keyboard-shortcuts"></a>
<h3 id="help-keyboard-shortcuts">Help Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Action</th><th >Keyboard shortcut</th></tr></thead>
<tr valign="top" class="odd"><td >View context-sensitive help</td><td >F1</td></tr>
<tr valign="top" class="even"><td >Activate contents in <b>Help</b> mode</td><td >Ctrl+T</td></tr>
<tr valign="top" class="odd"><td >Add bookmark in <b>Help</b> mode</td><td >Ctrl+M</td></tr>
<tr valign="top" class="even"><td >Activate index in <b>Help</b> mode</td><td >Ctrl+I</td></tr>
<tr valign="top" class="odd"><td >Reset font size</td><td >Ctrl+0</td></tr>
<tr valign="top" class="even"><td >Activate search in <b>Help</b> mode</td><td >Ctrl+S</td></tr>
</table></div>
<a name="version-control-keyboard-shortcuts"></a>
<h3 id="version-control-keyboard-shortcuts">Version Control Keyboard Shortcuts</h3>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th  rowspan="2">Action</th><th  colspan="6">Version control system</th></tr>
<tr class="qt-style"><th >Bazaar</th><th >CVS</th><th >Git</th><th >Mercurial</th><th >Perforce</th><th >Subversion</th></tr></thead>
<tr valign="top" class="odd"><td >Add</td><td ></td><td >Alt+C, Alt+A</td><td >Alt+G, Alt+A</td><td ></td><td >Alt+P, Alt+A</td><td >Alt+S, Alt+A</td></tr>
<tr valign="top" class="even"><td >Commit/Submit</td><td >Alt+Z, Alt+C</td><td >Alt+C, Alt+C</td><td >Alt+G, Alt+C</td><td >Alt+G, Alt+C</td><td >Alt+P, Alt+S</td><td >Alt+S, Alt+C</td></tr>
<tr valign="top" class="odd"><td >Diff</td><td >Alt+Z, Alt+D</td><td >Alt+C, Alt+D</td><td >Alt+G, Alt+D</td><td >Alt+G, Alt+D</td><td ></td><td >Alt+S, Alt+D</td></tr>
<tr valign="top" class="even"><td >Diff project</td><td ></td><td ></td><td >Alt+G, Alt+Shift+D</td><td ></td><td >Alt+P, Alt+D</td><td ></td></tr>
<tr valign="top" class="odd"><td >Blame/Annotate</td><td ></td><td ></td><td >Alt+G, Alt+B</td><td ></td><td ></td><td ></td></tr>
<tr valign="top" class="even"><td >Log/Filelog</td><td >Alt+Z, Alt+L</td><td ></td><td >Alt+G, Alt+L</td><td >Alt+G, Alt+L</td><td >Alt+P, Alt+F</td><td ></td></tr>
<tr valign="top" class="odd"><td >Log project</td><td ></td><td ></td><td >Alt+G, Alt+K</td><td ></td><td ></td><td ></td></tr>
<tr valign="top" class="even"><td >Status</td><td >Alt+Z, Alt+S</td><td ></td><td ></td><td >Alt+G, Alt+S</td><td ></td><td ></td></tr>
<tr valign="top" class="odd"><td >Undo changes/Revert</td><td ></td><td ></td><td >Alt+G, Alt+U</td><td ></td><td >Alt+P, Alt+R</td><td ></td></tr>
<tr valign="top" class="even"><td >Edit</td><td ></td><td ></td><td ></td><td ></td><td >Alt+P, Alt+E</td><td ></td></tr>
<tr valign="top" class="odd"><td >Opened</td><td ></td><td ></td><td ></td><td ></td><td >Alt+P, Alt+O</td><td ></td></tr>
</table></div>
</div>
<!-- @@@creator-keyboard-shortcuts.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-cli.html">Using Command Line Options</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-editor-external.html">Using External Tools</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
